Bug 24528 - -devel зависимости
: -devel зависимости
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/ipplan)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2010-11-10 15:07 by
Modified: 2010-11-15 18:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-11-10 15:07:28
Оторвите -devel зависимости, пожалуйста

[user@eeedima Documents]$ sudo apt-get install ipplan
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  camlp4 findlib fontconfig-devel glib2-devel ipplan-config-php5 lablGL
lablGL-runtime lablgtk2 lablgtk2-runtime labltk labltk-runtime
  libGL-devel libGLU-devel libICE-devel libSM-devel libX11-devel libXau-devel
libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel
  libXft-devel libXmu-devel libXrender-devel libXt-devel libXxf86vm-devel
libart_lgpl libart_lgpl-devel libatk-devel libcairo-devel
  libcom_err-devel libdnet libdrm-devel libenchant-devel libfreeglut-devel
libfreetype-devel libgdk-pixbuf-devel libgdk-pixbuf-xlib
  libgio-devel libglade-devel libgnomecups libgnomeprint libgnomeprint-devel
libgtk+2-common-devel libgtk+2-devel libgtkglarea2
  libgtkglarea2-devel libgtksourceview1 libgtksourceview1-devel libgtkspell
libgtkspell-devel libkeyutils-devel libkrb5-devel libmm
  libnet-snmp26 libpango-devel libpixman-devel libpng-devel librsvg-devel
libssl-devel libudev-devel libxcb-devel nmap ocaml ocaml-lwt
  ocaml-runtime ocaml-ssl ocamlnet ocamlnet-runtime ocsigen pcre-ocaml
pcre-ocaml-runtime php-base php5-adodb php5-libs php5-mysql php5-snmp
  rpm-build-ocaml snmp-mibs-std tcl-togl webserver-common
webserver-common-control xorg-damageproto-devel xorg-fixesproto-devel
  xorg-glproto-devel xorg-kbproto-devel xorg-renderproto-devel
xorg-xextproto-devel xorg-xf86vidmodeproto-devel xorg-xproto-devel
The following NEW packages will be installed:
  camlp4 findlib fontconfig-devel glib2-devel ipplan ipplan-config-php5 lablGL
lablGL-runtime lablgtk2 lablgtk2-runtime labltk labltk-runtime
  libGL-devel libGLU-devel libICE-devel libSM-devel libX11-devel libXau-devel
libXdamage-devel libXdmcp-devel libXext-devel libXfixes-devel
  libXft-devel libXmu-devel libXrender-devel libXt-devel libXxf86vm-devel
libart_lgpl libart_lgpl-devel libatk-devel libcairo-devel
  libcom_err-devel libdnet libdrm-devel libenchant-devel libfreeglut-devel
libfreetype-devel libgdk-pixbuf-devel libgdk-pixbuf-xlib
  libgio-devel libglade-devel libgnomecups libgnomeprint libgnomeprint-devel
libgtk+2-common-devel libgtk+2-devel libgtkglarea2
  libgtkglarea2-devel libgtksourceview1 libgtksourceview1-devel libgtkspell
libgtkspell-devel libkeyutils-devel libkrb5-devel libmm
  libnet-snmp26 libpango-devel libpixman-devel libpng-devel librsvg-devel
libssl-devel libudev-devel libxcb-devel nmap ocaml ocaml-lwt
  ocaml-runtime ocaml-ssl ocamlnet ocamlnet-runtime ocsigen pcre-ocaml
pcre-ocaml-runtime php-base php5-adodb php5-libs php5-mysql php5-snmp
  rpm-build-ocaml snmp-mibs-std tcl-togl webserver-common
webserver-common-control xorg-damageproto-devel xorg-fixesproto-devel
  xorg-glproto-devel xorg-kbproto-devel xorg-renderproto-devel
xorg-xextproto-devel xorg-xf86vidmodeproto-devel xorg-xproto-devel
0 upgraded, 91 newly installed, 0 removed and 0 not upgraded.
Need to get 0B/42.1MB of archives.
After unpacking 244MB of additional disk space will be used.
Do you want to continue? [Y/n]
------- Comment #1 From 2010-11-15 18:42:03 -------
ipplan требует webserver.
webserver провайдять все вебсервера.
apt-cache show webserver
Виртуальный пакет webserver предоставляется следующими пакетами:
  ocsigen 1.1.0-alt3
  nginx 0.8.53-alt2.1
  lighttpd 1.4.28-alt2
  caudium 1.4.8-alt3.qa1
  apache2-base 2.2.17-alt1
  apache-mod_perl-base 1.3.42rusPL30.24-alt1.1
  apache-base 1.3.42rusPL30.24-alt1.1

Пытается установиться первый в списке - ocsigen, вот он и пытается установить
эту пачку devel пакетов.
Рекомендую установить сначала нужный вебсервер с поддержкой php, а потом
устанавливать ipplan.